## python-xstatic 1.0.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/XStatic.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/XStatic.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/XStatic"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/XStatic"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(ALLSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-xstatic 1.0.0

=== debian/changelog ===
python-xstatic (1.0.0-4) unstable; urgency=medium

  * Fixed upstream URLs (Closes: #757796).

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Sep 2014 11:47:53 +0000

python-xstatic (1.0.0-3) unstable; urgency=medium

  * Update VCS URLs, as well as the upstream ones.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Aug 2014 16:27:01 +0800

python-xstatic (1.0.0-2) unstable; urgency=medium

  * Do not package with .pth file.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Aug 2014 07:09:34 +0000

python-xstatic (1.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #752995)

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Jun 2014 16:34:13 +0800

=== debian/control ===
Source: python-xstatic
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>,
           Gonéri Le Bouder <goneri@debian.org>
Build-Depends: debhelper (>= 9),
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python3-all,
               python3-setuptools,
 python-sphinx
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-xstatic.git
Vcs-Git: git://anonscm.debian.org/openstack/python-xstatic.git
Homepage: https://bitbucket.org/thomaswaldmann/xstatic

Package: python-xstatic
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python:Depends}
Description: XStatic base package with minimal support code - Python 2.x
 XStatic is a packaging standard to package external (often 3rd party) static
 files as a Python package, so they are easily usable on all operating systems,
 with any package management system or even without one.
 .
 Many Python projects need to use some specific data files, like javascript,
 css, java applets, images, etc. Sometimes these files belong to YOUR project
 (then you may want to package them separately, but you could also just put
 them into your main package). But in many other cases, those files are
 maintained by someone else (like jQuery javascript library or even much bigger
 js libraries or applications) and you definitely do not really want to merge
 them into your project. So, you want to have static file packages, but you
 don’t want to get lots of stuff you do not want. Thus, stuff required by
 XStatic file packages (especially the main, toplevel XStatic package) tries to
 obey to be a MINIMAL, no-fat thing. XStatic doesn't "sell" any web framework
 or other stuff you don't want. Maybe there will be optional XStatic extensions
 for all sorts of stuff, but they won't be required if you just want the files.
 .
 By having static files in packages, it is also easier to build virtual envs,
 support linux/bsd/... distribution package maintainers and even windows
 installs using the same mechanism.
 .
 This package contains the Python 2.x module.

Package: python3-xstatic
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python3:Depends}
Description: XStatic base package with minimal support code - Python 3.x
 XStatic is a packaging standard to package external (often 3rd party) static
 files as a Python package, so they are easily usable on all operating systems,
 with any package management system or even without one.
 .
 Many Python projects need to use some specific data files, like javascript,
 css, java applets, images, etc. Sometimes these files belong to YOUR project
 (then you may want to package them separately, but you could also just put
 them into your main package). But in many other cases, those files are
 maintained by someone else (like jQuery javascript library or even much bigger
 js libraries or applications) and you definitely do not really want to merge
 them into your project. So, you want to have static file packages, but you
 don’t want to get lots of stuff you do not want. Thus, stuff required by
 XStatic file packages (especially the main, toplevel XStatic package) tries to
 obey to be a MINIMAL, no-fat thing. XStatic doesn't "sell" any web framework
 or other stuff you don't want. Maybe there will be optional XStatic extensions
 for all sorts of stuff, but they won't be required if you just want the files.
 .
 By having static files in packages, it is also easier to build virtual envs,
 support linux/bsd/... distribution package maintainers and even windows
 installs using the same mechanism.
 .
 This package contains the Python 3.x module.

Package: python-xstatic-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: XStatic base package with minimal support code - doc
 XStatic is a packaging standard to package external (often 3rd party) static
 files as a Python package, so they are easily usable on all operating systems,
 with any package management system or even without one.
 .
 Many Python projects need to use some specific data files, like javascript,
 css, java applets, images, etc. Sometimes these files belong to YOUR project
 (then you may want to package them separately, but you could also just put
 them into your main package). But in many other cases, those files are
 maintained by someone else (like jQuery javascript library or even much bigger
 js libraries or applications) and you definitely do not really want to merge
 them into your project. So, you want to have static file packages, but you
 don’t want to get lots of stuff you do not want. Thus, stuff required by
 XStatic file packages (especially the main, toplevel XStatic package) tries to
 obey to be a MINIMAL, no-fat thing. XStatic doesn't "sell" any web framework
 or other stuff you don't want. Maybe there will be optional XStatic extensions
 for all sorts of stuff, but they won't be required if you just want the files.
 .
 By having static files in packages, it is also easier to build virtual envs,
 support linux/bsd/... distribution package maintainers and even windows
 installs using the same mechanism.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = https://bitbucket.org/thomaswaldmann/xstatic
-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-xstatic; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-xstatic; \
	done
	rm -f $(CURDIR)/debian/python*-xstatic/usr/lib/python*/dist-packages/XStatic-*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e && for pyvers in $(PYTHONS) $(PYTHON3S); do \
		python$$pyvers setup.py test ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
	sphinx-build -b html docs/source debian/python-xstatic-doc/usr/share/doc/python-xstatic-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/X/XStatic XStatic-(.*).tar.gz

## python-xstatic 1.0.3

=== debian/changelog ===
python-xstatic (1.0.3-6) unstable; urgency=medium

  * Removed -O--buildsystem=python_distutils again from d/rules.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Dec 2024 10:59:00 +0100

python-xstatic (1.0.3-5) unstable; urgency=medium

  * Removed -O--buildsystem=python_distutils from d/rules.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Dec 2024 10:57:39 +0100

python-xstatic (1.0.3-4) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090681).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 15:09:34 +0100

python-xstatic (1.0.3-3) unstable; urgency=medium

  * Do not attempt to run tests with setup.py tests (Closes: #1080284).

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Sep 2024 08:36:34 +0200

python-xstatic (1.0.3-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Oct 2023 14:38:46 +0200

python-xstatic (1.0.3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed upstream VCS URLs in d/rules, d/control and d/copyright.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Aug 2023 17:04:49 +0200

python-xstatic (1.0.0-8) unstable; urgency=medium

  * Cleans better (Closes: #1046280).

 -- Thomas Goirand <zigo@debian.org>  Thu, 17 Aug 2023 18:17:55 +0200

python-xstatic (1.0.0-7) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Build using python3-sphinx (Closes: #943189).

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Oct 2019 11:44:53 +0200

python-xstatic (1.0.0-6) unstable; urgency=medium

  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Apr 2018 16:13:33 +0200

python-xstatic (1.0.0-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Daniel Baumann ]
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.

  [ Thomas Goirand ]
  * Removed inactive maintainers.
  * Fixed long description according to Justin R Rye recommendations.
  * Bumped debhelper to 10.
  * Fixed (build-)depends after jessie and stretch release.
  * Standards-Version is now 4.1.3.
  * Add missing dh-python build-depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Apr 2018 00:01:26 +0200

=== debian/control ===
Source: python-xstatic
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-setuptools,
 python3-sphinx,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/xstatic/python-xstatic
Vcs-Git: https://salsa.debian.org/openstack-team/xstatic/python-xstatic.git
Homepage: https://github.com/xstatic-py/xstatic

Package: python-xstatic-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: XStatic base package with minimal support code - doc
 XStatic is a Python web development tool for handling required static data
 files from external projects, such as CSS, images, and JavaScript. It provides
 a lightweight infrastructure to manage them via Python modules that your app
 can depend on in a portable, virtualenv-friendly way instead of using embedded
 copies.
 .
 This package contains the documentation.

Package: python3-xstatic
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: XStatic base package with minimal support code - Python 3.x
 XStatic is a Python web development tool for handling required static data
 files from external projects, such as CSS, images, and JavaScript. It provides
 a lightweight infrastructure to manage them via Python modules that your app
 can depend on in a portable, virtualenv-friendly way instead of using embedded
 copies.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = https://github.com/xstatic-py/xstatic
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "No tests in this package."
endif

override_dh_clean:
	dh_clean
	rm -rf build

override_dh_sphinxdoc:
	python3 -m sphinx -b html docs/source debian/python-xstatic-doc/usr/share/doc/python-xstatic-doc/html
	dh_sphinxdoc
